sudo: false

jobs:
  allow_failures:
    - stage: Prep
    - stage: Mix

  include:
    - stage: Prep
      name: stir_dry_ingredients
      script:
        - echo 'Mix all dry ingredients in a bowl ...'
        - sleep 1
        - echo 'OK!'
      name: stir_wet_ingredients
      script:
        - echo 'Mix all wet ingredients in a different bowl simultaneously ...'
        - echo 'OK!'

    - stage: Mix
      name: combine_all_ingredients
      script:
        - echo 'Mix all ingredients together ...'
        - echo 'Ready to bake!'
        - echo "Testing..."

    - stage: Bake
      name: cook_it_time
      script:
        - echo 'Put mixture in oven ...'
        - sh final/report.sh
        - echo 'DONE!'

    - stage: Decor
      name: ice_that_cake
      script:
        - echo 'Draw flowers with icing!'
